Change configuration of Wikidata in production to write term_full_entity_id
Closed, ResolvedPublic

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 6 2017, 10:06 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 11:16 AM

Change 369567 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Write to term_full_entity_id column in wb_terms table in prod too

https://gerrit.wikimedia.org/r/369567

Change 369567 merged by jenkins-bot:
[operations/mediawiki-config@master] Write to term_full_entity_id column in wb_terms table in prod too

https://gerrit.wikimedia.org/r/369567

Mentioned in SAL (#wikimedia-operations) [2017-08-02T13:16:31Z] <hashar@tin> Synchronized wmf-config/Wikibase-production.php: Write to term_full_entity_id column in wb_terms table in prod too - T167229 (duration: 00m 46s)

In tin:

mysql:wikiadmin@db1082 [wikidatawiki]> select * from wb_terms where term_full_entity_id is not null limit 5;
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------------------------------------+----------------------------------------------------+-------------+
| term_row_id | term_entity_id | term_full_entity_id | term_entity_type | term_language | term_type   | term_text                                          | term_search_key                                    | term_weight |
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------------------------------------+----------------------------------------------------+-------------+
|  1229012261 |       15848532 | Q15848532           | item             | tg-cyrl       | description | саҳифаи маъноҳои Викимедиа                         | саҳифаи маъноҳои викимедиа                         |       0.005 |
|  1229012262 |       15848532 | Q15848532           | item             | zea           | description | Wikimedia-deurverwiespagina                        | wikimedia-deurverwiespagina                        |       0.005 |
|  1229012263 |       15848532 | Q15848532           | item             | yo            | description | ojúewé ìṣojútùú Wikimedia                          | ojúewé ìṣojútùú wikimedia                          |       0.005 |
|  1229012264 |       15848532 | Q15848532           | item             | li            | description | Wikimedia-verdudelikingspazjena                    | wikimedia-verdudelikingspazjena                    |       0.005 |
|  1229012712 |       15848690 | Q15848690           | item             | tg-cyrl       | description | саҳифаи маъноҳои Викимедиа                         | саҳифаи маъноҳои викимедиа                         |       0.004 |
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------------------------------------+----------------------------------------------------+-------------+
5 rows in set (0.03 sec)

mysql:wikiadmin@db1082 [wikidatawiki]> select count(*) from wb_terms where term_full_entity_id is not null;
+----------+
| count(*) |
+----------+
|   941872 |
+----------+
1 row in set (0.23 sec)

I'm calling this done.

Ladsgroup closed this task as Resolved.
Ladsgroup removed a project: Patch-For-Review.